Summary: An easy to use, modeless text editor.
Name: joe
Version: 2.8
Release: 40
Copyright: GPL
Group: Applications/Editors
Source: ftp://ftp.std.com/src/editors/joe2.8.tar.Z
Patch0: joe2.8-config.patch
Patch1: joe2.8-time.patch
Patch2: joe2.8-axphack.patch
Patch3: joe2.8-make.patch
Patch4: joe2.8-locale.patch
Patch5: joe-2.8-port.patch
Patch6: joe-2.8-mips.patch
Patch8: joe-2.8-deadjoe.patch
Patch9: joe-2.8-security.patch
Patch10: joe-keyboard.patch.gz
Patch13: joe-2.8-procrc.patch
Patch14: joe-ia64.patch
Patch15: joe-2.8-manlocation.patch
Patch16: joe-2.8-resize2.patch
Patch17: joe-2.8-configfhs.patch
Patch18: joe-2.8-vfile.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Joe is an easy to use, modeless text editor which is very easy to use.
Joe uses the same WordStar keybindings used in Borland's development
environment.

You should install joe if you've used it before and you liked it, or if
you're still deciding what text editor you'd like to use, or if you have a
fondness for WordStar.  If you're just starting out, you should probably
install joe because it is very easy to use.

%prep
%setup -q -n joe
%patch0 -p1
%patch1 -p1

%ifarch axp
%patch2 -p1
%endif

%patch3 -p1
%patch4 -p0

%patch5 -p1

%ifarch mipsel mipseb
%patch6 -p1 
%endif


%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch13 -p1
%patch14 -p1 
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DUSE_LOCALE"

%install
rm -rf $RPM_BUILD_ROOT
make install TOPDIR=$RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT/%{_mandir}/man1
ln -s joe.1 jmacs.1 
ln -s joe.1 jpico.1 
ln -s joe.1 jstar.1 
ln -s joe.1 rjoe.1 

%files
%defattr(-,root,root)
/usr/bin/*
%dir /etc/joe
%config /etc/joe/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- fix the vfile patch

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added new patch for supporting big files (15+ MB). 
- obsoleted one of our which is contained within the
  above patch
 
* Tue Jun 27 2000 Trond Eivind Glomsrd <teg@redhat.com>
- move config files to /etc/joe

* Tue Jun 27 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added new patch for resizing, by Seth Vidal
- removed an old patch which did almost the same thing, 
  but not as well

* Tue Jun 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- disabled a patch which no longer works

* Mon Jun 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- and yet another

* Mon Jun 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- once more

* Mon Jun 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jun 07 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use symlinked man pages
- use %%{_mandir}

* Wed May  3 2000 Bill Nottingham <notting@redhat.com>
- fix for ia64 (sizeof(int) != sizeof(time_t))

* Wed Apr 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed a problem loading .joerc. Thanks to Jeff Peters
  for the patch (#11049)

* Wed Apr 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- patched it to restore the tty after exiting

* Thu Apr 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- gzip man page
- hardlink the joe man page to jmacs, jpico, jstar, rjoe


* Fri Mar 31 2000 Bill Nottingham <notting@redhat.com>
- add patch to fix coredumps on quit for large files
  (b4506055@csie,ntu.edu.tw, #5372)

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add patch from Hans de Goede <hans@highrise.nl> to fix the End key

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- patch for closing on some buffer overflow problems (not that is really
  critical...)

* Thu Sep  2 1999 Jeff Johnson <jbj@redhat.com>
- DEADJOE files shouldn't be world readable (#4219).

* Thu Aug 12 1999 Cristian Gafton <gafton@redhat.com>
- add patch from Giuseppe Ghibo' <ghibo@caesar.polito.it> to fix resizing
  problems

* Sun May 16 1999 Jeff Johnson <jbj@redhat.com>
- don't rely on (broken!) rpm %patch (#2735)

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- added locale patch from  Petr Kolar <PETR.KOLAR@vslib.cz>
  (yeah, finally!)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 17)

* Wed Jan 20 1999 Alex deVries <puffin@redhat.com>
- added mipseb support

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Sep 15 1998 Cristian Gafton <gafton@redhat.com>
- built with Alan's -port patch

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- enable -asis in the config files so international keyboards will be better
  supported

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- /usr/lib/joe/* are config files

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- manhattan build

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- fixed termcap problems for terms other than 80x25
- added support for buildroot and BuildRoot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

